package org.jeecg.modules.itdmMima.dto;

import io.swagger.annotations.ApiModelProperty;
import org.jeecg.modules.itdmMima.entity.ItdmMima;

public class ItdmMimaDTO {

    /** id */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 原密码 */
    @ApiModelProperty(value = "原密码")
    private String yuanmima;

    /** 密码 */
    @ApiModelProperty(value = "密码")
    private String mima;

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    private String deviceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMima(String mima)
    {
        this.mima = mima;
    }

    public String getMima()
    {
        return mima;
    }
    public String getYuanmima() {
        return yuanmima;
    }

    public void setYuanmima(String yuanmima) {
        this.yuanmima = yuanmima;
    }
    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public ItdmMima toItdmMima(){
        ItdmMima itdmMima = new ItdmMima();
        itdmMima.setId(this.getId());
        itdmMima.setMima(this.getMima());
        return itdmMima;
    }
}
